				* {
  					box-sizing: border-box;
				}
				
				
				html {
				  display: grid;
				  height: 100%; /* OR min-height: 100% */
				}
				
				body {
				  display: grid;
				  min-height: 0;
				  /*margin-left: 5px;*/
				  font-family: "Verdana, Arial, Helvetica, sans-serif" ;
				  font-size: 100% ;
				  text-align:justify;
				  grid-template-rows: auto 1fr auto;
				  /*grid-template-columns: 300px 1fr; */ /* 2 columns */ 
				  grid-template-columns: 1fr 3fr; /* 2 columns */
				  
				  grid-template-areas:
					        "sidebar_h header"
					        "sidebar main"
					        "sidebar footer";
				  gap: 8px;
				}
				
								
				.meta {
				  font-family: Verdana;
        		  font-size: 12px;
                  background-color: #efefef;
				  /*padding: 1em;*/
				  width:75%;
				  margin: auto;
  				  /*grid-area: sidebar_h;*/
  				  grid-area: header;		
				}
				
				
				.doc {
				  /*padding: 1em;*/
				  width:75%;
				  margin: auto;
  				  grid-area: main; 
				}
				
				
				.toc{
					position: fixed;
					padding: 1em;
				  	top: 3%;
				  	bottom:0;
					width:25%;
					/* https://stackoverflow.com/questions/25807672/overflow-yscroll-is-not-working-for-chrome */
					/*height:800px;*/
					background-color: #efefef;
				  	align-self: start;	
					overflow-y: scroll;
					grid-area: sidebar;
				}
				
				.tree{
					--spacing : 0rem;
					--radius  : 10px;
					text-align:left;
				}	
				
				ul.treeview {
					margin-top: 0px;
					margin-bottom: 0px;
			    	padding: 5px;
				}
				
				ul.align_left {
					text-align:left;
				}
				
				
				hr {
					margin:30px 25% 30px 25%;
					text-align:center;
				}
				
				.titolo_toc {
					font-weight: bold;
					padding: 5px;
				}
				
			
				.virgolette_struttura{
					text-align: justify;
					background-color: #fffa61; 
					padding-left: 50px;
				}
				
				
				.virgolette_parola{
					text-align: justify;
					background-color: #ff7c7f; 
				}
				
				.parole{
					background-color: DarkGray; 
				}
				
				.inserimento{
					background-color: LawnGreen; 
				}
				
				.sostituzione{
					background-color: #f9a825; 
				}
				
				.soppressione{
					background-color: #f9a825; 
				}
				
				.dopo{
					background-color: LightCyan; 
				}
				
				.emananteDoc {
					margin-bottom: 15px;
					text-align:center;
					font-size: 100% ;
					text-align: center;
				}
				
				.documentTitle {
					margin-top: 15px;
					text-align:center;
					font-size: 120% ;
					/*font-weight: bold;*/
					font-style: italic;
					text-align: center;
				}	
				
				.preamble {
					margin-top: 15px;
					text-align: left;
					font-size: 85%;
				}
				
				.documentType {	
					font-size: 120%;
					font-weight: bold;
					/*background-color: silver;*/
				}
				
			    .documentNumber {					
					font-size: 120%;
					font-weight: bold;
				}
				
				.documentDate {					
					font-size: 120%;
					/*font-weight: bold;*/
					/*font-style: italic;*/
				}
				
				.documentCode {					
					font-size: 90%;
				}
				
				.header {
					margin-top: 15px;
					text-align: center;
				}
				
				.footer {
					text-align: justify;
					font-size: 85%;
				}
				
				.rubrica {
					text-align: center;
					margin-top: 0;
					font-style: italic;
					font-weight: lighter;
					font-size: 100%;
				}
				
				.rubrica_toc {
					margin-top: 0;
					font-style: italic;
					font-weight: lighter;
					font-size: 100%;
				}
				
				.articolo { 
					font-size: 100% ; 
					margin-top: 15px; 
					text-align: center;
				}
				.titolo, .libro, .parte, .sezione {
					padding-top: 10px;
					font-size: 100% ; 
					text-align: center;
				}
				.capo {
					padding-top: 10px;
					/*margin:25px 25% 5px 25%;*/
					text-align: center;
				}
				
				
				.intestazione_libro, .intestazione_parte, .intestazione_allegato {
					text-align: center;
					font-size: 160%;
					font-weight: bold;
					/* background-color: #ec5300; */
				}
				
				.intestazione_titolo, .intestazione_capo {
					text-align: center;
					font-size: 140%;
					font-weight: bold;
					/* background-color: #ec5300; */
				}
				
				.intestazione_sezione, .intestazione_articolo {
					text-align: center;
					font-size: 120%;
					font-weight: bold;
					/* background-color: #ec5300; */
				}
				
				.intestazione_comma,  .intestazione_lettera, .intestazione_numero, .intestazione_sottoNumero, .intestazione_numeroLatino {
					text-align: center;
					font-size: 100%;
					/* background-color: #f9a825; */ /* Arancione */
					background-color: LightSkyBlue; 
					/* #ecca00 */
					
				}
				
				.comma { 
					font-size: 100% ; 
					font-weight: normal;
					margin-top: 5px;
					margin-bottom: 5px;
					text-align: justify;
					text-indent: 1em;
				}
				
				
				.primo_paragrafo { 
					font-size: 100% ; 
					font-weight: normal;
					margin-top: 5px;
					margin-bottom: 5px;
					text-align: justify;
					text-indent: 1em;
				}
				
				.paragrafo { 
					font-size: 100% ; 
					font-weight: normal;
					margin-top: 5px;
					margin-bottom: 5px;
					text-align: justify;
					text-indent: 1em;
					background-color: #bfbfbf;
				}
				
				
				.lettera {
					font-size: 100% ; 
					font-weight: normal;
					text-align: justify;
					margin-left: 5px;
					text-indent: 2em;
					margin-top: 2px;
				}
				
				.numero {
					text-align: justify;
					margin-left: 55px;
					margin-top: 2px;
					font-size: 100% ; 
					font-weight: normal;
				}
				
				.sottoNumero {
					text-align: justify;
					margin-left: 70px;
					margin-top: 2px;
					font-size: 100% ; 
					font-weight: normal;
				}
				
				.numeroLatino {
					text-align: justify;
					margin-left: 70px;
					text-indent: -10px;
					margin-top: 2px;
					font-size: 100% ; 
					font-weight: normal;
				}
				
				.allegato {
					padding-top: 10px;
					/*margin:25px 25% 5px 25%;*/
					text-align: justify;
				}
				
				a {
					text-align: justify;
				}
				
				.anchor {
					text-decoration: none;
				}
				
				
				p {
					text-align:justify;
				}
				
				.metadata_table {
					font-family: 'Courier New', monospace;
  					border: 0px solid black;
  					border-collapse: collapse;
				}
				
				.mrk_info{
					text-align: justify;
					font-weight: bold;
					color: red;
					font-size: 90% ;
					border: 0px solid black;
					border-collapse: collapse;
				}
				
				.mrk_eli{
					text-align: justify;
					/*font-family: 'Courier New', monospace;*/
					color: blue;
					font-size: 90% ;
					border: 0px solid black;
					border-collapse: collapse;
				}

				.mrk_vigenza{
					text-align: justify;
					/*font-family: 'Courier New', monospace;*/
					color: blue;
					font-size: 90% ;
					border: 0px solid black;
					border-collapse: collapse;
				}
				
				
				
				.mrk_warning{
					text-align: justify;
					color: red;
					font-size: 90% ;
					border: 0px solid black;
					border-collapse: collapse;
				}
				
				.mrk_error{
					text-align: justify;
					color: red;
					font-size: 90% ;
					font-weight: bold;
					border: 0px solid black;
					border-collapse: collapse;
				}
				
				.mrk_message{
					text-align: justify;
					color: green;
					font-size: 90% ;
					border: 0px solid black;
					border-collapse: collapse;
				}
				
				.table {
  					border: 1px solid;
  					border-collapse: collapse;
  					margin-top: 20px;
  					margin-bottom: 20px;
				}
				
				.td {
  					border: 1px solid;
  					border-collapse: collapse;
				}
				
				
				
				
			